## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate sodiumoxide

Name:           rust-sodiumoxide
Version:        0.2.7
Release:        %autorelease
Summary:        Fast cryptographic library for Rust (bindings to libsodium)

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/sodiumoxide
Source:         %{crates_source}
Patch:          sodiumoxide-rmp.patch

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Fast cryptographic library for Rust (bindings to libsodium).}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/AUTHORS
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/CODE_OF_CONDUCT.md
%doc %{crate_instdir}/CONTRIBUTING.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+benchmarks-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+benchmarks-devel %{_description}

This package contains library source intended for building other packages which
use the "benchmarks" feature of the "%{crate}" crate.

%files       -n %{name}+benchmarks-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+use-pkg-config-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+use-pkg-config-devel %{_description}

This package contains library source intended for building other packages which
use the "use-pkg-config" feature of the "%{crate}" crate.

%files       -n %{name}+use-pkg-config-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# * skip a test that is not compatible with ed25519 1.3.0+:
#   the Signature::new method now panics when called with invalid bytes
# * skip doctests with missing imports for the new_type! macro
%cargo_test -- -- --skip crypto::sign::ed25519::test::test_sign_verify_detached_tamper --skip src/newtype_macros.rs
#cargo_test -- -- --skip crypto::sign::ed25519::test::test_sign_verify_detached_tamper --skip src/newtype_macros.rs --skip crypto::aead::aes256gcm::aes_api::test::test_seal_open_detached
%endif

%changelog
* Mon Jul 31 2023 Stuart D. Gathman <stuart@gathman.org> - 0.2.7-4
- Uncommitted changes

* Mon Jul 31 2023 Stuart D. Gathman <stuart@gathman.org> - 0.2.7-3
- New rust2rpm

* Mon Jul 31 2023 Stuart D. Gathman <stuart@gathman.org> - 0.2.7-2
- New rust2rpm

* Tue Nov 02 2021 Stuart D. Gathman <stuart@gathman.org> - 0.2.7-1
- Initial packaging attempt
